From e87357a35f376518c3663a2f5cac53e9c4917427 Mon Sep 17 00:00:00 2001
From: David King <amigadave@amigadave.com>
Date: Thu, 15 Apr 2021 11:45:13 +0100
Subject: [PATCH 2/2] configure: Use AX_REQUIRE_DEFINED

Require additional macros to be defined early, to avoid an aclocal
"too many loops" error when copying macros.
---
 configure.ac | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/configure.ac b/configure.ac
index 7eeeb9c..37c1304 100644
--- a/configure.ac
+++ b/configure.ac
@@ -29,6 +29,9 @@ AM_GNU_GETTEXT([external])
 AM_GNU_GETTEXT_VERSION([0.18.2])
 
 m4_ifdef([AM_PROG_AR], [AM_PROG_AR])
+AX_REQUIRE_DEFINED([AX_ADD_FORTIFY_SOURCE])
+AX_REQUIRE_DEFINED([AX_CXX_COMPILE_STDCXX])
+AX_REQUIRE_DEFINED([AX_PTHREAD])
 # Checks for programs.
 AC_PROG_CPP
 AC_PROG_CXX
-- 
2.32.0

